---
layout: default
image: /site_logo.jpg
title: "a custom GitLab-CI runner for Openshift"
---

 {% include banner.html %}

<div class="container">

    <div class="row align-items-center">
        <div class="col-md-8">
            <h2 class="header-light regular-pad">What is odagrun?</h2>
            <blockquote>
              <p>Odagrun is a custom <a href="https://about.GitLab.com/">GitLab</a>-runner developed
              for the <a href="https://www.openshift.com/">RedHat Openshift Platform</a>,
              to extend support of a GitOps Development cycle with the full Devops solution
              of GitLab.com. Building docker Images on the fly, daemonless and rootless,
              with build-in commands for registry API manipulations and some neat features to preserve network resources
              on a non-priviledged openshift cluster.</p>
            </blockquote>
        </div>
        <div class="col-md-4 align-self-center">
          <picture alt="odagrun Logo landscape" >
              <source media="(max-width: 768px)" class="img-responsive" srcset="{% asset SVGlogoAILong.svg @path %}">
              <img class="img-responsive" src="{% asset SVGlogoAIsquare.png @optim @path %}" alt="odagrun a GitLab runner for building docker images un-priviledged on openshift" >
          </picture>
        </div>
    </div>

    <hr>

 <div class="row">
        
        <div class="col-md-4">
            <h2 class="text-center"><i class="fa fa-cubes fa-2x" aria-hidden="true"></i></h2>
            <h3 class="text-center">One compute Platform: Openshift.</h3>
            <p>Building your application, testing, building your buildimages,creating custom toolchains build-images and deploying applications with Gitlab dynamic environments
              all on the RedHat Openshift platform, from openshift Dedicated down to openshift-online-starter.</p>
        </div>
        <div class="col-md-4">
            <h2 class="text-center"><i class="fab fa-gitlab fa-2x" aria-hidden="true"></i></h2>
            <h3 class="text-center">GitLab DevOps Cycle.</h3>
            <p>Leveraging from Git version control to
              maintain your build environments, build application containers and deployment straight from Gitlab and Gitlab-ci.</p>
        </div>
        <div class="col-md-4">

            <h2 class="text-center"> <i class="fas fa-piggy-bank fa-2x" aria-hidden="true"></i></h2>
            <h3 class="text-center">Reduce CI/CD Costs</h3>
            <p>odagrun focusses with some neat features to reducing cost through the use of <a href="/docs/odagrun-work-spaces-feature-reference/">WORK_SPACES</a>, <a href="docs/odagrun-git-cache-feature-reference/">GIT_CACHE</a> and <a href="docs/odagrun-docker-registry-api-command-reference/">integrated registry commands</a>
              to reduce compute and network usage, allowing to use smaller pods with smaller build images.
            </p>
        </div>
    </div>


    <div class="row">
        <div class="col-md-4">

            <h2 class="text-center"> <i class="fas fa-lock fa-2x" aria-hidden="true"></i></h2>
            <h3 class="text-center">Protect build resources</h3>
            <p>Being able to build images un-priviledged as non-root without a docker daemon, we can lock down our openshift cluster to run securly, where as being able to set the <a href="/docs/odagrun-podsize-feature-reference/">pod-size</a> tailored to our build, we're able to limit and protect resource usage.
            </p>
        </div>
        <div class="col-md-4">

            <h2 class="text-center"> <i class="fas fa-wrench fa-2x" aria-hidden="true"></i></h2>
            <h3 class="text-center">Easy setup and maintenance</h3>
            <p>With only one platform to maintain for building build-images,project and deployment all rootless with only a gitlab-runner-registration-token needed to setup odagrun, maintenance of infrastructure and tokens can seriously reduced.</p>
        </div>
        <div class="col-md-4">
            <h2 class="text-center"> {% asset hand-holding-up-the-world-svgrepo-com.svg @optim width="80px" height="80px" alt="Saving the Earth"%}</h2>
            <h3 class="text-center">Responsible CI/CD.</h3>
            <p>Through the use of caching and been able to use dedicated build-images for projects, odagrun can run build pipelines with reduced power usage.</p>
        </div>
      </div>
     
</div>
